package test;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.time.temporal.ChronoUnit;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/9
 * @Version V1.0
 **/
public class MainTest {

    public static void main(String[] args) {

        LocalDate now = LocalDate.now();
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM");
        String dateStr1 = now.format(formatter);


        String dateStr2 = "2025-12";


        LocalDate date1 = LocalDate.parse(dateStr1 + "-01");
        LocalDate date2 = LocalDate.parse(dateStr2 + "-01");


        int monthsDiff = (int)ChronoUnit.MONTHS.between(date1, date2);
        System.out.println(monthsDiff);

    }
}
